vim.o.termguicolors = true

vim.g.mapleader = ','

vim.opt.guicursor = ''
vim.opt.cursorline = true
vim.opt.expandtab = true
vim.opt.hidden = true
vim.opt.ignorecase = true
vim.opt.list = true
vim.opt.listchars = 'eol:¶,tab:→ ,trail:␣,extends:»,precedes:«'
vim.opt.fillchars = 'stl: ,stlnc:-,vert:|,fold:-,diff:-'
vim.opt.mouse = 'a'
vim.opt.number = true
vim.opt.shiftwidth = 2
vim.opt.signcolumn = 'yes'
vim.opt.softtabstop = 2
vim.opt.tabstop = 2
vim.opt.undofile = true
vim.opt.undolevels = 9999
vim.opt.wrap = true
vim.opt.autoindent = true
vim.opt.smartindent = true

vim.g['loaded_netrw'] = 1
vim.g['loaded_netrwPlugin'] = 1
vim.cmd('filetype plugin on')

require('userfuncs')
require('plugins')
require('plugins-conf')
require('keybindings')
require('autocmd')
